ITEMS = {
	[0] = {
		name = ""
	}, 

	[1] = {
		name = "apple", 
		article = "an", 
		desc = "No visible worms.", 
		r = 255, g = 0, b = 0, 
		action = "eat", 
		food = function() return math.random(10,20) end, 
		fimage = "gfx/weiwen/apple.png", 
		func = eat,
	}, 

	[2] = {
		name = "torch",
		plural = "torches", 
		desc = "Allows you to see clearly in the dark.",
		r = 191, g = 213, b = 128,
		action = "hold", 
		slot = 8, 
		fimage = "gfx/weiwen/torch.png",
		eimage = "gfx/sprites/flare3.bmp",
		escalex = 3, 
		escaley = 3, 
		blend = 1, 
		static = 1, 
		func = equip,
	}, 

	[3] = {
		name = "hourglass", 
		plural = "hourglasses", 
		article = "an", 
		r = 180, g = 180, b = 180, 
		action = {"wear","check time"}, 
		slot = 8, 
		func = {equip, function(id) msg2(id,ITEMS[3].desc) end},
	},
	
	[4] = {
		name = "cheese", 
		desc = "A solid food prepared from the pressed curd of milk.", 
		r = 255, g = 255, b = 0, 
		action = "eat", 
		food = function() return math.random(10,20) end, 
		fimage = "gfx/weiwen/cheese.png", 
		func = eat,
	}, 

	[5] = {
		name = "pizza", 
		desc = "Italian open pie made of thin bread dough spread with a spiced mixture of tomato sauce and cheese.", 
		action = "eat", 
		food = function() return math.random(25,50) end, 
		fimage = "gfx/weiwen/pizza.png", 
		func = eat,
	},

	[100] = {
		name = "ember rune", 
		desc = "You may only use it once.", 
		r = 128, g = 0, b = 0, 
		action = {"cast","hold"}, 
		slot = 9, 
		fimage = "gfx/weiwen/rune.png", 
		func = {function(id,itemslot,itemid,equip)
			radiusmsg(player(id,"name") .. " casts a fireball rune.", player(id,"x"), player(id,"y"))
			explosion(player(id, "x"), player(id,"y"), 64, 15, id)
			local pos = player(id,"x") .. " " .. player(id,"y")
			parse("effect \"colorsmoke\" " .. pos .. " 100 64 255 128 0;")
			parse("effect \"colorsmoke\" " .. pos .. " 75 64 255 0 0")
			destroyitem(id, itemslot, equip)
		end,equip},
	},

	[101] = {
		name = "water gun rune", 
		desc = "You may only use it once.", 
		r = 128, g = 128, b = 255, 
		action = {"cast","hold"}, 
		slot = 9, 
		fimage = "gfx/weiwen/rune.png", 
		func = {function(id,itemslot,itemid,equip)
			radiusmsg(player(id,"name") .. " casts a waterball rune.", player(id,"x"), player(id,"y"))
			explosion(player(id, "x"), player(id,"y"), 64, 15, id)
			local pos = player(id,"x") .. " " .. player(id,"y")
			parse("effect \"colorsmoke\" " .. pos .. " 100 64 255 255 255")
			parse("effect \"colorsmoke\" " .. pos .. " 75 64 128 128 255")
			destroyitem(id, itemslot, equip)
		end,equip},
	},

	[102] = {
		name = "healing rune", 
		desc = "You may only use it once.", 
		r = 128, g = 255, b = 255, 
		action = {"cast","hold"}, 
		slot = 9, 
		fimage = "gfx/weiwen/rune.png", 
		func = {function(id,itemslot,itemid,equip)
			radiusmsg(player(id,"name") .. " casts a healing rune.", player(id,"x"), player(id,"y"))
			explosion(player(id, "x"), player(id,"y"), 32, -30, id)
			local pos = player(id,"x") .. " " .. player(id,"y")
			parse("effect \"colorsmoke\" " .. pos .. " 5 5 128 255 255")
			radiussound("materials/glass2.wav", player(id,"x"), player(id,"y"))
			destroyitem(id, itemslot, equip)
		end,equip},
	},

	[103] = {
		name = "thundershock rune", 
		desc = "An electrical attack that may paralyze the foe.",  
		r = 255, g = 255, b = 0, 
		action = {"cast","hold"}, 
		slot = 9, 
		fimage = "gfx/weiwen/rune.png", 
		func = {function(id,itemslot,itemid,equip)
			radiusmsg(player(id,"name") .. " casts a thundershock rune.", player(id,"x"), player(id,"y"))
			explosion(player(id, "x"), player(id,"y"), 64, 15, id)
			local pos = player(id,"x") .. " " .. player(id,"y")
			parse("effect \"colorsmoke\" " .. pos .. " 100 64 255 255 0")
			parse("effect \"colorsmoke\" " .. pos .. " 75 64 255 255 255")
			destroyitem(id, itemslot, equip)
		end,equip},
	},

	[104] = {
		name = "flamethrower rune", 
		desc = "You may only use it once.", 
		r = 185, g = 25, b = 25, 
		action = {"cast","hold"}, 
		slot = 9, 
		fimage = "gfx/weiwen/rune.png", 
		func = {function(id,itemslot,itemid,equip)
			radiusmsg(player(id,"name") .. " casts a firewave rune.", player(id,"x"), player(id,"y"))
			parse("equip " .. id .. " 46")
			parse("setweapon " .. id .. " 46")
			timer(1000, "parse", "strip " .. id .. " 46")
			destroyitem(id, itemslot, equip)
		end,equip},
	},

	[105] = {
		name = "teleport rune", 
		desc = "You may only use it once.", 
		r = 255, g = 255, b = 255, 
		action = {"cast","hold"}, 
		slot = 9, 
		fimage = "gfx/weiwen/rune.png", 
		func = {function(id, itemslot, itemid, equip)
			radiusmsg(player(id,"name") .. " is casting a teleport rune.", player(id,"x"), player(id,"y"))
			timer(1500, "ITEMFUNCTIONS.teleport", id .. ';' .. player(id, 'health') .. ';' .. (equip and -itemslot or itemslot))
		end,equip}, 
		teleport = function(p)
			local id, health, itemslot = unpack(p:split(';'))
			id, health, itemslot = tonumber(id), tonumber(health), tonumber(itemslot)
			if player(id, 'health') == health then
				radiusmsg(player(id,"name") .. " completed casting a teleport rune.", player(id,"x"), player(id,"y"))
				parse("effect \"colorsmoke\" " .. player(id,"x") .. " " .. player(id,"y") .. " 5 5 255 255 255")
				local pos = PLAYERS[id].Spawn[1] .. " " .. PLAYERS[id].Spawn[2]
				parse("effect \"colorsmoke\" " .. pos .. " 5 5 255 255 255")
				parse("setpos " .. id .. " " .. pos)
				radiussound("materials/glass2.wav", player(id,"x"), player(id,"y"))
				destroyitem(id, math.abs(itemslot), itemslot < 0)
			else
				radiusmsg(player(id,"name") .. " failed to cast a teleport rune.", player(id,"x"), player(id,"y"))
			end
		end
	},

	[106] = {
		name = "poison fog rune", 
		desc = "You may only use it once.", 
		r = 128, g = 128, b = 0, 
		action = {"cast","hold"}, 
		slot = 9, 
		fimage = "gfx/weiwen/rune.png", 
		func = {function(id, itemslot, itemid, equip)
			radiusmsg(player(id,"name") .. " casts a poison fog rune.", player(id,"x"), player(id,"y"))
			explosion(player(id, "x"), player(id,"y"), 64, 15, id)
			local pos = player(id,"x") .. " " .. player(id,"y")
			parse("effect \"colorsmoke\" " .. pos .. " 100 96 128 128 0")
			destroyitem(id, itemslot, equip)
		end,equip},
	},

	[200] = {
		name = "white bed",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/bed.png", 
		offsety = 16,
		heal = 5, 
		r = 255, g = 255, b = 255,
	},

	[201] = {
		name = "pink bed",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/bed.png", 
		offsety = 16,
		heal = 5, 
		r = 255, g = 128, b = 255,
	},

	[202] = {
		name = "green bed",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/bed.png", 
		offsety = 16,
		heal = 5, 
		r = 128, g = 192, b = 0,
	},

	[203] = {
		name = "blue bed",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/bed.png", 
		offsety = 16,
		heal = 5, 
		r = 0, g = 128, b = 192,
	},

	[204] = {
		name = "dark red bed",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/bed.png", 
		offsety = 16,
		heal = 5, 
		r = 128, g = 0, b = 0,
	},

	[205] = {
		name = "light green bed",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/bed.png", 
		offsety = 16,
		heal = 5, 
		r = 128, g = 255, b = 128,
	},

	[206] = {
		name = "light blue bed",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/bed.png", 
		offsety = 16,
		heal = 5, 
		r = 128, g = 128, b = 255,
	},

	[207] = {
		name = "yellow bed",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/bed.png", 
		offsety = 16,
		heal = 5, 
		r = 255, g = 255, b = 0,
	},

	[208] = {
		name = "orange bed",
		article = "an",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/bed.png", 
		offsety = 16,
		heal = 5, 
		r = 255, g = 128, b = 0,
	},

	[209] = {
		name = "brown bed",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/bed.png", 
		offsety = 16,
		heal = 5, 
		r = 128, g = 64, b = 0,
	},

	[210] = {
		name = "white chair",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/chair.png", 
		r = 255, g = 255, b = 255,
		rot = 0,
		heal = 3, 
		action = "rotate|South", 
		func = function(id,itemslot,itemid) PLAYERS[id].Inventory[itemslot] = ((itemid-209)%4)+210; itemactions(id,itemslot) end,
	},

	[211] = {
		name = "white chair",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/chair.png", 
		r = 255, g = 255, b = 255,
		rot = 90,
		heal = 3, 
		action = "rotate|West", 
		func = function(id,itemslot,itemid) PLAYERS[id].Inventory[itemslot] = ((itemid-209)%4)+210; itemactions(id,itemslot) end,
	},

	[212] = {
		name = "white chair",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/chair.png", 
		rot = 180,
		heal = 3, 
		r = 255, g = 255, b = 255,
		action = "rotate|North", 
		func = function(id,itemslot,itemid) PLAYERS[id].Inventory[itemslot] = ((itemid-209)%4)+210; itemactions(id,itemslot) end,
	},

	[213] = {
		name = "white chair",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/chair.png", 
		rot = 270,
		heal = 3, 
		r = 255, g = 255, b = 255,
		action = "rotate|East", 
		func = function(id,itemslot,itemid) PLAYERS[id].Inventory[itemslot] = ((itemid-209)%4)+210; itemactions(id,itemslot) end,
	},

	[214] = {
		name = "brown chair",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/chair.png", 
		r = 169, g = 106, b = 44,
		rot = 0,
		heal = 3, 
		action = "rotate|South", 
		func = function(id,itemslot,itemid) PLAYERS[id].Inventory[itemslot] = ((itemid-213)%4)+214; itemactions(id,itemslot) end,
	},

	[215] = {
		name = "brown chair",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/chair.png", 
		r = 169, g = 106, b = 44,
		rot = 90,
		heal = 3, 
		action = "rotate|West", 
		func = function(id,itemslot,itemid) PLAYERS[id].Inventory[itemslot] = ((itemid-213)%4)+214; itemactions(id,itemslot) end,
	},

	[216] = {
		name = "brown chair",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/chair.png", 
		rot = 180,
		heal = 3, 
		r = 169, g = 106, b = 44,
		action = "rotate|North", 
		func = function(id,itemslot,itemid) PLAYERS[id].Inventory[itemslot] = ((itemid-213)%4)+214; itemactions(id,itemslot) end,
	},

	[217] = {
		name = "brown chair",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/chair.png", 
		rot = 270,
		heal = 3, 
		r = 169, g = 106, b = 44,
		action = "rotate|East", 
		func = function(id,itemslot,itemid) PLAYERS[id].Inventory[itemslot] = ((itemid-213)%4)+214; itemactions(id,itemslot) end,
	},

	[218] = {
		name = "white table",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/table.png", 
		r = 255, g = 255, b = 255,
	},

	[219] = {
		name = "brown table",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/table.png", 
		r = 169, g = 106, b = 44,
	},

	[220] = {
		name = "pikachu doll",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/pokemon/25.png", 
	},

	[221] = {
		name = "bulbasaur doll",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/pokemon/1.png", 
	},

	[222] = {
		name = "charmander doll",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/pokemon/4.png", 
	},

	[223] = {
		name = "squirtle doll",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/pokemon/7.png", 
	},
	
	[230] = {
		name = "coin", 
		desc = "Heads or tails?", 
		r = 255, g = 200, b = 0, 
		action = "flip", 
		fimage = "gfx/weiwen/circle.png", 
		func = function(id,itemslot,itemid)
			if PLAYERS[id].tmp.exhaust.use then
				return
			end
			PLAYERS[id].tmp.exhaust.use = true
			timer(CONFIG.EXHAUST.USE, rem.useExhaust, id)
			radiusmsg(player(id,"name") .. " flips a coin. " .. ((math.random(2) == 1) and "Heads!" or "Tails!"), player(id,"x"), player(id,"y"))
		end,
	}, 
	
	[231] = {
		name = "dice", 
		desc = "1d6.",
		r = 255, g = 192, b = 128, 
		action = "roll", 
		fimage = "gfx/weiwen/table.png", 
		fscalex = 0.5, 
		fscaley = 0.5, 
		func = function(id,itemslot,itemid)
			if PLAYERS[id].tmp.exhaust.use then
				return
			end
			PLAYERS[id].tmp.exhaust.use = true
			timer(CONFIG.EXHAUST.USE, rem.useExhaust, id)
			radiusmsg(player(id,"name") .. " rolls a " .. math.random(1, 6) .. ".", player(id,"x"), playerw(id,"y"))
		end,
	}, 

	[300] = {
		name = "leather helmet [1]", 
		desc = "Protect yourself from headshots!", 
		r = 128, g = 64, b = 0, 
		action = "equip", 
		slot = 1, 
		eimage = "gfx/weiwen/helmet.png", 
		fimage = "gfx/weiwen/helmet.png", 
		def = 0.05, 
		speed = -1,
		func = equip,
	},

	[301] = {
		name = "leather torso [1]", 
		desc = "A few holes here and there, but still usable.", 
		r = 128, g = 64, b = 0, 
		action = "equip", 
		slot = 2, 
		eimage = "gfx/weiwen/armour.png", 
		fimage = "gfx/weiwen/farmour.png", 
		def = 0.1, 
		speed = -1,
		func = equip,
	},

	[302] = {
		name = "leather legs [1]", 
		plural = "pairs of leather legs", 
		article = "a pair of", 
		desc = "A few holes here and there, but still usable.", 
		r = 128, g = 64, b = 0, 
		action = "equip", 
		slot = 5, 
		fimage = "gfx/weiwen/legs.png", 
		def = 0.07, 
		speed = 1,
		func = equip,
	},

	[303] = {
		name = "leather boots [1]", 
		plural = "pairs of leather boots", 
		article = "a pair of", 
		desc = "Waterproof.", 
		r = 128, g = 64, b = 0, 
		action = "equip", 
		slot = 6, 
		fimage = "gfx/weiwen/boots.png",  
		speed = 2, 
		func = equip,
	},

	[304] = {
		name = "wooden sword [1]", 
		desc = "Mostly used for training.", 
		r = 128, g = 64, b = 0, 
		action = "equip", 
		slot = 3, 
		eimage = "gfx/weiwen/sword.png", 
		fimage = "gfx/weiwen/sword.png", 
		offsetx = 6,
		offsety = 17,
		equip = 69,
		atk = 0.25, 
		speed = -1, 
		func = equip,
	},

	[305] = {
		name = "wooden shield [1]", 
		desc = "Mostly used for training.", 
		r = 128, g = 64, b = 0, 
		action = "equip", 
		slot = 4, 
		eimage = "gfx/weiwen/shield.png", 
		fimage = "gfx/weiwen/fshield.png", 
		equip = 41,
		def = 0.2, 
		speed = -2, 
		func = equip,
	},

	[306] = {
		name = "wooden club [1]", 
		desc = "Now you can be a caveman too!", 
		r = 128, g = 64, b = 0, 
		action = "equip", 
		slot = 3, 
		eimage = "gfx/weiwen/club.png", 
		fimage = "gfx/weiwen/club.png", 
		offsety = 14,
		equip = 78,
		atk = 0.35, 
		speed = -2, 
		func = equip,
	},

	[307] = {
		name = "wooden crossbow [1]", 
		desc = "It requires you to hold it with two hands.", 
		r = 128, g = 64, b = 0, 
		action = "equip", 
		slot = 3, 
		twohand = true, 
		eimage = "gfx/weiwen/bow.png", 
		fimage = "gfx/weiwen/bow.png", 
		offsety = 9,
		equip = 34,
		atk = 1.0, 
		speed = -2.5, 
		func = equip,
	},

	[310] = {
		name = "stone helmet [5]", 
		r = 128, g = 128, b = 128, 
		action = "equip", 
		slot = 1, 
		eimage = "gfx/weiwen/helmet.png", 
		fimage = "gfx/weiwen/helmet.png", 
		def = 0.1, 
		speed = -1.5,
		level = 5, 
		func = equip,
	},

	[311] = {
		name = "stone armour [5]", 
		r = 128, g = 128, b = 128,
		action = "equip", 
		slot = 2, 
		eimage = "gfx/weiwen/armour.png", 
		fimage = "gfx/weiwen/farmour.png", 
		def = 0.2, 
		speed = -1.5,
		level = 5, 
		func = equip,
	},

	[312] = {
		name = "stone leggings [5]", 
		plural = "pairs of iron leggings", 
		article = "a pair of", 
		r = 128, g = 128, b = 128,
		action = "equip", 
		slot = 5, 
		fimage = "gfx/weiwen/legs.png", 
		def = 0.15, 
		speed = -0.5,
		level = 5, 
		func = equip,
	},

	[313] = {
		name = "stone boots [5]", 
		plural = "pairs of iron boots", 
		article = "a pair of", 
		r = 128, g = 128, b = 128,
		action = "equip", 
		slot = 6, 
		fimage = "gfx/weiwen/boots.png",  
		def = 0.1, 
		speed = -0.5, 
		level = 5, 
		func = equip,
	},

	[314] = {
		name = "stone sword [5]", 
		r = 128, g = 128, b = 128,
		action = "equip", 
		slot = 3, 
		eimage = "gfx/weiwen/sword.png", 
		fimage = "gfx/weiwen/sword.png", 
		offsetx = 6,
		offsety = 17,
		equip = 69,
		atk = 0.5, 
		speed = -2, 
		level = 5, 
		func = equip,
	},

	[315] = {
		name = "stone shield [5]", 
		r = 128, g = 128, b = 128,
		action = "equip", 
		slot = 4, 
		eimage = "gfx/weiwen/shield.png", 
		fimage = "gfx/weiwen/fshield.png", 
		equip = 41,
		def = 0.4, 
		speed = -3, 
		level = 5, 
		func = equip,
	},

	[316] = {
		name = "stone mace [5]", 
		r = 128, g = 128, b = 128,
		action = "equip", 
		slot = 3, 
		eimage = "gfx/weiwen/mace.png", 
		fimage = "gfx/weiwen/mace.png", 
		offsetx = 4, 
		offsety = 20,
		equip = 78,
		atk = 0.7, 
		speed = -3, 
		level = 5, 
		func = equip,
	},

	[317] = {
		name = "stone crossbow [5]", 
		desc = "It requires you to hold it with two hands.", 
		r = 128, g = 128, b = 128,
		action = "equip", 
		slot = 3, 
		twohand = true, 
		eimage = "gfx/weiwen/bow.png", 
		fimage = "gfx/weiwen/bow.png", 
		offsety = 9,
		equip = 34,
		atk = 2.0, 
		level = 5, 
		speed = -2.0, 
		func = equip,
	},

	[320] = {
		name = "bronze helmet [10]", 
		r = 200, g = 100, b = 0, 
		action = "equip", 
		slot = 1, 
		eimage = "gfx/weiwen/helmet.png", 
		fimage = "gfx/weiwen/helmet.png", 
		def = 0.15, 
		speed = -1.3,
		level = 10, 
		func = equip,
	},

	[321] = {
		name = "bronze armour [10]", 
		r = 200, g = 100, b = 0, 
		action = "equip", 
		slot = 2, 
		eimage = "gfx/weiwen/armour.png", 
		fimage = "gfx/weiwen/farmour.png", 
		def = 0.3, 
		speed = -1.3,
		level = 10, 
		func = equip,
	},

	[322] = {
		name = "bronze leggings [10]", 
		plural = "pairs of bronze leggings", 
		article = "a pair of", 
		r = 200, g = 100, b = 0, 
		action = "equip", 
		slot = 5, 
		fimage = "gfx/weiwen/legs.png", 
		def = 0.2, 
		speed = -0.4,
		level = 10, 
		func = equip,
	},

	[323] = {
		name = "bronze boots [10]", 
		plural = "pairs of bronze boots", 
		article = "a pair of", 
		r = 200, g = 100, b = 0, 
		action = "equip", 
		slot = 6, 
		fimage = "gfx/weiwen/boots.png",  
		def = 0.15, 
		speed = -0.4, 
		level = 10, 
		func = equip,
	},

	[324] = {
		name = "bronze sword [10]", 
		r = 200, g = 100, b = 0, 
		action = "equip", 
		slot = 3, 
		eimage = "gfx/weiwen/sword.png", 
		fimage = "gfx/weiwen/sword.png", 
		offsetx = 6,
		offsety = 17,
		equip = 69,
		atk = 0.7, 
		speed = -1.5, 
		level = 10, 
		func = equip,
	},

	[325] = {
		name = "bronze shield [10]", 
		r = 200, g = 100, b = 0, 
		action = "equip", 
		slot = 4, 
		eimage = "gfx/weiwen/shield.png", 
		fimage = "gfx/weiwen/fshield.png", 
		equip = 41,
		def = 0.6, 
		speed = -2.5, 
		level = 10, 
		func = equip,
	},

	[326] = {
		name = "bronze mace [10]", 
		r = 200, g = 100, b = 0, 
		action = "equip", 
		slot = 3, 
		eimage = "gfx/weiwen/mace.png", 
		fimage = "gfx/weiwen/mace.png", 
		offsetx = 4, 
		offsety = 20,
		equip = 78,
		atk = 0.9, 
		speed = -3, 
		level = 10, 
		func = equip,
	},

	[327] = {
		name = "bronze crossbow [10]", 
		desc = "It requires you to hold it with two hands.", 
		r = 200, g = 100, b = 0, 
		action = "equip", 
		slot = 3, 
		twohand = true, 
		eimage = "gfx/weiwen/bow.png", 
		fimage = "gfx/weiwen/bow.png", 
		offsety = 9,
		equip = 34,
		atk = 3.0, 
		speed = -1.5, 
		level = 10, 
		func = equip,
	},

	[330] = {
		name = "berserker helmet [20]", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 1, 
		eimage = "gfx/weiwen/berserker_helm.png", 
		fimage = "gfx/weiwen/berserker_helm.png", 
		def = 2.0, 
		speed = -0.5,
		level = 20, 
		func = equip,
	},

	[331] = {
		name = "berserker armour [20]", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 2, 
		eimage = "gfx/weiwen/berserker_armour.png", 
		fimage = "gfx/weiwen/berserker_farmour.png", 
		def = 1.0, 
		speed = -0.5,
		level = 20, 
		func = equip,
	},

	[332] = {
		name = "berserker leggings [20]", 
		plural = "pairs of berserker leggings", 
		article = "a pair of", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 5, 
		fimage = "gfx/weiwen/berserker_legs.png", 
		def = 1.0, 
		speed = 0,
		level = 20, 
		func = equip,
	},

	[333] = {
		name = "berserker boots [20]", 
		plural = "pairs of berserker boots", 
		article = "a pair of", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 6, 
		fimage = "gfx/weiwen/berserker_boots.png",  
		def = 2.0, 
		speed = 1.0, 
		level = 20, 
		func = equip,
	},

	[334] = {
		name = "berserker shield [20]", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 4, 
		eimage = "gfx/weiwen/berserker_shield.png", 
		fimage = "gfx/weiwen/berserker_fshield.png", 
		equip = 41,
		def = 2.0, 
		speed = -2.0, 
		level = 20, 
		func = equip,
	},

	[335] = {
		name = "berserker crossbow [20]", 
		desc = "It requires you to hold it with two hands.", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 3, 
		twohand = false, 
		eimage = "gfx/weiwen/berserker_bow.png", 
		fimage = "gfx/weiwen/berserker_bow.png", 
		offsety = 9,
		equip = 6,
		atk = 3.0, 
		speed = -1.0, 
		level = 20, 
		func = equip,
	},

	[340] = {
		name = "dragon helmet [30]", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 1, 
		eimage = "gfx/weiwen/dragon_helm.png", 
		fimage = "gfx/weiwen/dragon_helm.png", 
		def = 3.0, 
		speed = 0,
		level = 30, 
		func = equip,
	},

	[341] = {
		name = "dragon armour [30]", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 2, 
		eimage = "gfx/weiwen/dragon_armour.png", 
		fimage = "gfx/weiwen/dragon_farmour.png", 
		def = 2.0, 
		speed = 0,
		level = 30, 
		func = equip,
	},

	[342] = {
		name = "dragon leggings [30]", 
		plural = "pairs of dragon leggings", 
		article = "a pair of", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 5, 
		fimage = "gfx/weiwen/dragon_legs.png", 
		def = 2.0, 
		speed = 0.5,
		level = 30, 
		func = equip,
	},

	[343] = {
		name = "dragon boots [30]", 
		plural = "pairs of dragon boots", 
		article = "a pair of", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 6, 
		fimage = "gfx/weiwen/dragon_boots.png",  
		def = 3.0, 
		speed = 1.5, 
		level = 30, 
		func = equip,
	},

	[344] = {
		name = "dragon shield [30]", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 4, 
		eimage = "gfx/weiwen/dragon_shield.png", 
		fimage = "gfx/weiwen/dragon_fshield.png", 
		equip = 41,
		def = 3.0, 
		speed = -1.5, 
		level = 30, 
		func = equip,
	},

	[345] = {
		name = "dragon crossbow [30]", 
		desc = "It requires you to hold it with two hands.", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 3, 
		twohand = false, 
		eimage = "gfx/weiwen/dragon_bow.png", 
		fimage = "gfx/weiwen/dragon_bow.png", 
		offsety = 9,
		equip = 6,
		atk = 4.0, 
		speed = -0.5, 
		level = 30, 
		func = equip,
	},

	[346] = {
		name = "dragon wings [30]", 
		desc = "You can cross the river.", 
		r = 255, g = 255, b = 255, 
		action = "ride", 
		slot = 7, 
		ground = true, 
		water = true, 
		fimage = "gfx/weiwen/dragon_wings.png",  
		eimage = "gfx/weiwen/dragon_wings.png",  
		speed = 30, 
		def = 1.5, 
		level = 30, 
		func = equip,
	},

	[350] = {
		name = "ice helmet [40]", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 1, 
		eimage = "gfx/weiwen/ice_helm.png", 
		fimage = "gfx/weiwen/ice_helm.png", 
		def = 4.0, 
		speed = 0.5,
		level = 40, 
		func = equip,
	},

	[351] = {
		name = "ice armour [40]", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 2, 
		eimage = "gfx/weiwen/ice_armour.png", 
		fimage = "gfx/weiwen/ice_farmour.png", 
		def = 3.0, 
		speed = 0.5,
		level = 40, 
		func = equip,
	},

	[352] = {
		name = "ice leggings [40]", 
		plural = "pairs of ice leggings", 
		article = "a pair of", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 5, 
		fimage = "gfx/weiwen/ice_legs.png", 
		def = 3.0, 
		speed = 1.0,
		level = 40, 
		func = equip,
	},

	[353] = {
		name = "ice boots [40]", 
		plural = "pairs of ice boots", 
		article = "a pair of", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 6, 
		fimage = "gfx/weiwen/ice_boots.png",  
		def = 4.0, 
		speed = 2.0, 
		level = 40, 
		func = equip,
	},

	[354] = {
		name = "ice shield [40]", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 4, 
		eimage = "gfx/weiwen/ice_shield.png", 
		fimage = "gfx/weiwen/ice_fshield.png", 
		equip = 41,
		def = 4.0, 
		speed = -1.0, 
		level = 40, 
		func = equip,
	},

	[355] = {
		name = "ice crossbow [40]", 
		desc = "It requires you to hold it with two hands.", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 3, 
		twohand = false, 
		eimage = "gfx/weiwen/ice_bow.png", 
		fimage = "gfx/weiwen/ice_bow.png", 
		offsety = 9,
		equip = 6,
		atk = 5.0, 
		speed = 0, 
		level = 40, 
		func = equip,
	},

	[360] = {
		name = "poision helmet [50]", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 1, 
		eimage = "gfx/weiwen/Qerthin helm.png", 
		fimage = "gfx/weiwen/Qerthin helm.png", 
		def = 5.0, 
		speed = 1.0,
		level = 50, 
		func = equip,
	},

	[361] = {
		name = "poision armour [50]", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 2, 
		eimage = "gfx/weiwen/Qerthin armor.png", 
		fimage = "gfx/weiwen/Qerthin farmor.png", 
		def = 4.0, 
		speed = 1.0,
		level = 50, 
		func = equip,
	},

	[362] = {
		name = "poision leggings [50]", 
		plural = "pairs of poision leggings", 
		article = "a pair of", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 5, 
		fimage = "gfx/weiwen/Qerthin legs.png", 
		def = 4.0, 
		speed = 1.5,
		level = 50, 
		func = equip,
	},

	[363] = {
		name = "poision boots [50]", 
		plural = "pairs of poision boots", 
		article = "a pair of", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 6, 
		fimage = "gfx/weiwen/Qerthin boots.png",  
		def = 5.0, 
		speed = 2.5, 
		level = 50, 
		func = equip,
	},

	[364] = {
		name = "poision crossbow [50]", 
		desc = "It requires you to hold it with two hands.", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 3, 
		twohand = false, 
		eimage = "gfx/weiwen/Qerthin bow.png", 
		fimage = "gfx/weiwen/Qerthin bow.png", 
		offsety = 9,
		equip = 6,
		atk = 5.0, 
		speed = 0, 
		level = 50, 
		func = equip,
	},

	[370] = {
		name = "gron helmet [60]", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 1, 
		eimage = "gfx/weiwen/gron_helm.png", 
		fimage = "gfx/weiwen/gron_helm.png", 
		def = 6.0, 
		speed = 1.5,
		level = 60, 
		func = equip,
	},

	[371] = {
		name = "gron armour [60]", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 2, 
		eimage = "gfx/weiwen/gron_armour.png", 
		fimage = "gfx/weiwen/gron_farmour.png", 
		def = 5.0, 
		speed = 1.5,
		level = 60, 
		func = equip,
	},

	[372] = {
		name = "gron leggings [60]", 
		plural = "pairs of gron leggings", 
		article = "a pair of", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 5, 
		fimage = "gfx/weiwen/gron_legs.png", 
		def = 5.0, 
		speed = 2.0,
		level = 60, 
		func = equip,
	},

	[373] = {
		name = "gron boots [60]", 
		plural = "pairs of gron boots", 
		article = "a pair of", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 6, 
		fimage = "gfx/weiwen/gron_boots.png",  
		def = 6.0, 
		speed = 3.0, 
		level = 60, 
		func = equip,
	},

	[374] = {
		name = "gron crossbow [60]", 
		desc = "It requires you to hold it with two hands.", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 3, 
		twohand = false, 
		eimage = "gfx/weiwen/gron_bow.png", 
		fimage = "gfx/weiwen/gron_bow.png", 
		offsety = 9,
		equip = 6,
		atk = 7.0, 
		speed = 0.5, 
		level = 60, 
		func = equip,
	},

	[380] = {
		name = "bron helmet [70]", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 1, 
		eimage = "gfx/weiwen/tron_helm.png", 
		fimage = "gfx/weiwen/tron_helm.png", 
		def = 7.0, 
		speed = 2.0,
		level = 70, 
		func = equip,
	},

	[381] = {
		name = "bron armour [70]", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 2, 
		eimage = "gfx/weiwen/tron_armour.png", 
		fimage = "gfx/weiwen/tron_farmour.png", 
		def = 6.0, 
		speed = 2.0,
		level = 70, 
		func = equip,
	},

	[382] = {
		name = "bron leggings [70]", 
		plural = "pairs of bron leggings", 
		article = "a pair of", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 5, 
		fimage = "gfx/weiwen/tron_legs.png", 
		def = 6.0, 
		speed = 2.5,
		level = 70, 
		func = equip,
	},

	[383] = {
		name = "bron boots [70]", 
		plural = "pairs of bron boots", 
		article = "a pair of", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 6, 
		fimage = "gfx/weiwen/tron_boots.png",  
		def = 7.0, 
		speed = 3.5, 
		level = 70, 
		func = equip,
	},

	[384] = {
		name = "bron crossbow [70]", 
		desc = "It requires you to hold it with two hands.", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 3, 
		twohand = false, 
		eimage = "gfx/weiwen/tron_bow.png", 
		fimage = "gfx/weiwen/tron_bow.png", 
		offsety = 9,
		equip = 6,
		atk = 9.0, 
		speed = 1.0, 
		level = 70, 
		func = equip,
	},

	[390] = {
		name = "lava helmet [80]", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 1, 
		eimage = "gfx/weiwen/lava_helm.png", 
		fimage = "gfx/weiwen/lava_helm.png", 
		def = 8.0, 
		speed = 2.5,
		level = 80, 
		func = equip,
	},

	[391] = {
		name = "lava armour [80]", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 2, 
		eimage = "gfx/weiwen/lava_armour.png", 
		fimage = "gfx/weiwen/lava_farmour.png", 
		def = 7.0, 
		speed = 2.5,
		level = 80, 
		func = equip,
	},

	[392] = {
		name = "lava leggings [80]", 
		plural = "pairs of lava leggings", 
		article = "a pair of", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 5, 
		fimage = "gfx/weiwen/lava_legs.png", 
		def = 7.0, 
		speed = 3.0,
		level = 80, 
		func = equip,
	},

	[393] = {
		name = "lava boots [80]", 
		plural = "pairs of lava boots", 
		article = "a pair of", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 6, 
		fimage = "gfx/weiwen/lava_boots.png",  
		def = 8.0, 
		speed = 4.0, 
		level = 80, 
		func = equip,
	},

	[394] = {
		name = "lava crossbow [80]", 
		desc = "It requires you to hold it with two hands.", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 3, 
		twohand = false, 
		eimage = "gfx/weiwen/lava_bow.png", 
		fimage = "gfx/weiwen/lava_bow.png", 
		offsety = 9,
		equip = 6,
		atk = 11.0, 
		speed = 1.5, 
		level = 80, 
		func = equip,
	},

	[500] = {
		name = "sunflare helmet [90]", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 1, 
		eimage = "gfx/weiwen/sunflare_helm.png", 
		fimage = "gfx/weiwen/sunflare_helm.png", 
		def = 9.0, 
		speed = 3.0,
		level = 90, 
		func = equip,
	},

	[501] = {
		name = "sunflare armour [90]", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 2, 
		eimage = "gfx/weiwen/sunflare_armour.png", 
		fimage = "gfx/weiwen/sunflare_farmour.png", 
		def = 7.0, 
		speed = 3.0,
		level = 90, 
		func = equip,
	},

	[502] = {
		name = "sunflare leggings [90]", 
		plural = "pairs of sunflare leggings", 
		article = "a pair of", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 5, 
		fimage = "gfx/weiwen/sunflare_legs.png", 
		def = 8.0, 
		speed = 3.5,
		level = 90, 
		func = equip,
	},

	[503] = {
		name = "sunflare boots [90]", 
		plural = "pairs of sunflare boots", 
		article = "a pair of", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 6, 
		fimage = "gfx/weiwen/sunflare_boots.png",  
		def = 9.0, 
		speed = 4.5, 
		level = 90, 
		func = equip,
	},

	[504] = {
		name = "sunflare crossbow [90]", 
		desc = "It requires you to hold it with two hands.", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 3, 
		twohand = false, 
		eimage = "gfx/weiwen/sunflare_bow.png", 
		fimage = "gfx/weiwen/sunflare_bow.png", 
		offsety = 9,
		equip = 6,
		atk = 13.0, 
		speed = 2.0, 
		level = 90, 
		func = equip,
	},

	[510] = {
		name = "rainbow helmet [100]", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 1, 
		eimage = "gfx/weiwen/rainbow_helm.png", 
		fimage = "gfx/weiwen/rainbow_helm.png", 
		def = 10.0, 
		speed = 3.5,
		level = 100, 
		func = equip,
	},

	[511] = {
		name = "rainbow armour [100]", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 2, 
		eimage = "gfx/weiwen/rainbow_armour.png", 
		fimage = "gfx/weiwen/rainbow_farmour.png", 
		def = 8.0, 
		speed = 3.5,
		level = 100, 
		func = equip,
	},

	[512] = {
		name = "rainbow leggings [100]", 
		plural = "pairs of rainbow leggings", 
		article = "a pair of", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 5, 
		fimage = "gfx/weiwen/rainbow_legs.png", 
		def = 9.0, 
		speed = 4.0,
		level = 100, 
		func = equip,
	},

	[513] = {
		name = "rainbow boots [100]", 
		plural = "pairs of rainbow boots", 
		article = "a pair of", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 6, 
		fimage = "gfx/weiwen/rainbow_boots.png",  
		def = 10.0, 
		speed = 5.0, 
		level = 100, 
		func = equip,
	},

	[514] = {
		name = "rainbow crossbow [100]", 
		desc = "It requires you to hold it with two hands.", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 3, 
		twohand = false, 
		eimage = "gfx/weiwen/rainbow_bow.png", 
		fimage = "gfx/weiwen/rainbow_bow.png", 
		offsety = 9,
		equip = 6,
		atk = 15.0, 
		speed = 2.5, 
		level = 100, 
		func = equip,
	},

	[520] = {
		name = "hielo helmet [120]", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 1, 
		eimage = "gfx/weiwen/hielo_helm.png", 
		fimage = "gfx/weiwen/hielo_helm.png", 
		def = 11.0, 
		speed = 4.0,
		level = 120, 
		func = equip,
	},

	[521] = {
		name = "hielo armour [120]", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 2, 
		eimage = "gfx/weiwen/hielo_armour.png", 
		fimage = "gfx/weiwen/hielo_farmour.png", 
		def = 8.0, 
		speed = 4.0,
		level = 120, 
		func = equip,
	},

	[522] = {
		name = "hielo leggings [120]", 
		plural = "pairs of hielo leggings", 
		article = "a pair of", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 5, 
		fimage = "gfx/weiwen/hielo_legs.png", 
		def = 10.0, 
		speed = 4.5,
		level = 120, 
		func = equip,
	},

	[523] = {
		name = "hielo boots [120]", 
		plural = "pairs of hielo boots", 
		article = "a pair of", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 6, 
		fimage = "gfx/weiwen/hielo_boots.png",  
		def = 11.0, 
		speed = 5.5, 
		level = 120, 
		func = equip,
	},

	[524] = {
		name = "hielo crossbow [120]", 
		desc = "It requires you to hold it with two hands.", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 3, 
		twohand = false, 
		eimage = "gfx/weiwen/hielo_bow.png", 
		fimage = "gfx/weiwen/hielo_bow.png", 
		offsety = 9,
		equip = 6,
		atk = 20.0, 
		speed = 3.0, 
		level = 120, 
		func = equip,
	},

	[525] = {
		name = "hielo shield [120]", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 4, 
		eimage = "gfx/weiwen/hielo_shield.png", 
		fimage = "gfx/weiwen/hielo_fshield.png", 
		equip = 41,
		def = 11.0, 
		speed = 2.5, 
		level = 120, 
		func = equip,
	},

	[526] = {
		name = "hielo wings [120]", 
		desc = "You can cross the river.", 
		r = 255, g = 255, b = 255, 
		action = "ride", 
		slot = 7, 
		ground = true, 
		water = true, 
		fimage = "gfx/weiwen/hielo_wings.png",  
		eimage = "gfx/weiwen/hielo_wings.png",  
		speed = 35, 
		def = 10, 
		level = 120, 
		func = equip,
	},

	[530] = {
		name = "reddragon helmet [135]", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 1, 
		eimage = "gfx/weiwen/reddragon_helmet.png", 
		fimage = "gfx/weiwen/reddragon_helmet.png", 
		def = 12.0, 
		speed = 4.5,
		level = 135, 
		func = equip,
	},

	[531] = {
		name = "reddragon armour [135]", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 2, 
		eimage = "gfx/weiwen/reddragon_armour.png", 
		fimage = "gfx/weiwen/reddragon_farmour.png", 
		def = 9.0, 
		speed = 4.5,
		level = 135, 
		func = equip,
	},

	[532] = {
		name = "reddragon leggings [135]", 
		plural = "pairs of reddragon leggings", 
		article = "a pair of", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 5, 
		fimage = "gfx/weiwen/reddragon_legs.png", 
		def = 11.0, 
		speed = 5,
		level = 135, 
		func = equip,
	},

	[533] = {
		name = "reddragon boots [135]", 
		plural = "pairs of reddragon boots", 
		article = "a pair of", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 6, 
		fimage = "gfx/weiwen/reddragon_boots.png",  
		def = 12.0, 
		speed = 5, 
		level = 135, 
		func = equip,
	},

	[534] = {
		name = "reddragon crossbow [135]", 
		desc = "It requires you to hold it with two hands.", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 3, 
		twohand = false, 
		eimage = "gfx/weiwen/Reddragon_bow.png", 
		fimage = "gfx/weiwen/Reddragon_bow.png", 
		offsety = 9,
		equip = 6,
		atk = 25.0, 
		speed = 3.5, 
		level = 135, 
		func = equip,
	},

	[535] = {
		name = "reddragon wings [135]", 
		desc = "You can cross the river.", 
		r = 255, g = 255, b = 255, 
		action = "ride", 
		slot = 7, 
		ground = true, 
		water = true, 
		fimage = "gfx/weiwen/red_dragon_wings.png",  
		eimage = "gfx/weiwen/red_dragon_wings.png",  
		speed = 40, 
		def = 15, 
		level = 135, 
		func = equip,
	},

	[540] = {
		name = "strongfire helmet [150]", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 1, 
		eimage = "gfx/weiwen/strongfire_helmet.png", 
		fimage = "gfx/weiwen/strongfire_helmet.png", 
		def = 13.0, 
		speed = 5,
		level = 150, 
		func = equip,
	},

	[541] = {
		name = "strongfire armour [150]", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 2, 
		eimage = "gfx/weiwen/strongfire_armour.png", 
		fimage = "gfx/weiwen/strongfire_farmour.png", 
		def = 10.0, 
		speed = 5,
		level = 150, 
		func = equip,
	},

	[542] = {
		name = "strongfire leggings [150]", 
		plural = "pairs of strongfire leggings", 
		article = "a pair of", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 5, 
		fimage = "gfx/weiwen/strongfire_legs.png", 
		def = 12.0, 
		speed = 5,
		level = 150, 
		func = equip,
	},

	[543] = {
		name = "strongfire boots [150]", 
		plural = "pairs of strongfire boots", 
		article = "a pair of", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 6, 
		fimage = "gfx/weiwen/strongfire_boots.png",  
		def = 13.0, 
		speed = 5, 
		level = 150, 
		func = equip,
	},

	[544] = {
		name = "strongfire crossbow [150]", 
		desc = "It requires you to hold it with two hands.", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 3, 
		twohand = false, 
		eimage = "gfx/weiwen/strongfire_bow.png", 
		fimage = "gfx/weiwen/strongfire_bow.png", 
		offsety = 9,
		equip = 6,
		atk = 30.0, 
		speed = 4.0, 
		level = 150, 
		func = equip,
	},

	[550] = {
		name = "darkdragon helmet [175]", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 1, 
		eimage = "gfx/weiwen/blackdragon_helmet.png", 
		fimage = "gfx/weiwen/blackdragon_helmet.png", 
		def = 13.0, 
		speed = 5,
		level = 175, 
		func = equip,
	},

	[551] = {
		name = "darkdragon armour [175]", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 2, 
		eimage = "gfx/weiwen/blackdragon_armour.png", 
		fimage = "gfx/weiwen/blackdragon_farmour.png", 
		def = 10.0, 
		speed = 5,
		level = 175, 
		func = equip,
	},

	[552] = {
		name = "darkdragon leggings [175]", 
		plural = "pairs of darkdragon leggings", 
		article = "a pair of", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 5, 
		fimage = "gfx/weiwen/blackdragon_legs.png", 
		def = 12.0, 
		speed = 5,
		level = 175, 
		func = equip,
	},

	[553] = {
		name = "darkdragon boots [175]", 
		plural = "pairs of darkdragon boots", 
		article = "a pair of", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 6, 
		fimage = "gfx/weiwen/blackdragon_boots.png",  
		def = 13.0, 
		speed = 5, 
		level = 175, 
		func = equip,
	},

	[554] = {
		name = "darkdragon crossbow [175]", 
		desc = "It requires you to hold it with two hands.", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 3, 
		twohand = false, 
		eimage = "gfx/weiwen/blackdragon_bow.png", 
		fimage = "gfx/weiwen/blackdragon_bow.png", 
		offsety = 9,
		equip = 6,
		atk = 30.0, 
		speed = 4.0, 
		level = 175, 
		func = equip,
	},

	[555] = {
		name = "darkdragon shield [175]", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 4, 
		eimage = "gfx/weiwen/blackdragon_shield.png", 
		fimage = "gfx/weiwen/blackdragon_fshield.png", 
		equip = 41,
		def = 14.0, 
		speed = 4.5, 
		level = 175, 
		func = equip,
	},

	[556] = {
		name = "darkdragon wings [175]", 
		desc = "You can cross the river.", 
		r = 255, g = 255, b = 255, 
		action = "ride", 
		slot = 7, 
		ground = true, 
		water = true, 
		fimage = "gfx/weiwen/vip_wing.png",  
		eimage = "gfx/weiwen/vip_wing.png",  
		speed = 50, 
		def = 15, 
		level = 175, 
		func = equip,
	},

	[560] = {
		name = "phoenix helmet [200]", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 1, 
		eimage = "gfx/weiwen/phoenix.png", 
		fimage = "gfx/weiwen/phoenix.png", 
		def = 15.0, 
		speed = 5,
		level = 200, 
		func = equip,
	},

	[561] = {
		name = "phoenix armour [200]", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 2, 
		eimage = "gfx/weiwen/phoenix_armor.png", 
		fimage = "gfx/weiwen/phoenix_armor1.png", 
		def = 15.0, 
		equip = 82,
		speed = 5,
		level = 200, 
		func = equip,
	},

	[562] = {
		name = "phoenix leggings [200]", 
		plural = "pairs of phoenix leggings", 
		article = "a pair of", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 5, 
		fimage = "gfx/weiwen/phoenix_legs.png", 
		def = 15.0, 
		speed = 5,
		level = 200, 
		func = equip,
	},

	[563] = {
		name = "phoenix boots [200]", 
		plural = "pairs of phoenix boots", 
		article = "a pair of", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 6, 
		fimage = "gfx/weiwen/phoenix_boots.png",  
		def = 15.0, 
		speed = 5, 
		level = 200, 
		func = equip,
	},

	[564] = {
		name = "phoenix crossbow [200]", 
		desc = "It requires you to hold it with two hands.", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 3, 
		twohand = false, 
		eimage = "gfx/weiwen/phoenix_bow.png", 
		fimage = "gfx/weiwen/phoenix_bow.png", 
		offsety = 9,
		equip = 6,
		atk = 50.0, 
		speed = 5.0, 
		level = 200, 
		func = equip,
	},

	[565] = {
		name = "phoenix shield [200]", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 4, 
		eimage = "gfx/weiwen/dragon_shield.png", 
		fimage = "gfx/weiwen/phoenix_fshield.png", 
		equip = 41,
		def = 15.0, 
		speed = 5, 
		level = 200, 
		func = equip,
	},

	[400] = {
		name = "brown horse", 
		desc = "You move faster with it, but are unable to attack with it. Your defence is also reduced significantly.", 
		r = 162, g = 107, b = 0, 
		action = "ride", 
		slot = 7, 
		ground = true, 
		fimage = "gfx/weiwen/horse.png",  
		eimage = "gfx/weiwen/horse.png", 
		speed = 20, 
		def = -0.5, 
		level = 10, 
		func = equip,
	},

	[401] = {
		name = "white horse", 
		desc = "You move faster with it, but are unable to attack with it. Your defence is also reduced significantly.", 
		r = 255, g = 255, b = 255, 
		action = "ride", 
		slot = 7, 
		ground = true, 
		fimage = "gfx/weiwen/horse.png",  
		eimage = "gfx/weiwen/horse.png", 
		speed = 20, 
		def = -0.5, 
		level = 10, 
		func = equip,
	},

	[402] = {
		name = "grey horse", 
		desc = "You move faster with it, but are unable to attack with it. Your defence is also reduced significantly.", 
		r = 175, g = 177, b = 186, 
		action = "ride", 
		slot = 7, 
		ground = true, 
		fimage = "gfx/weiwen/horse.png",  
		eimage = "gfx/weiwen/horse.png", 
		speed = 20, 
		def = -0.5, 
		level = 10, 
		func = equip,
	},

	[403] = {
		name = "black horse", 
		desc = "You move faster with it, but are unable to attack with it. Your defence is also reduced significantly.", 
		r = 50, g = 50, b = 50, 
		action = "ride", 
		slot = 7, 
		ground = true, 
		fimage = "gfx/weiwen/horse.png",  
		eimage = "gfx/weiwen/horse.png", 
		speed = 20, 
		def = -0.5, 
		level = 10, 
		func = equip,
	},

	[404] = {
		name = "seahorse", 
		desc = "You move faster with it, but are unable to attack with it. Your defence is also reduced significantly.", 
		r = 32, g = 121, b = 155, 
		action = "ride", 
		slot = 7, 
		ground = true, 
		water = true, 
		fimage = "gfx/weiwen/horse.png",  
		eimage = "gfx/weiwen/horse.png",  
		fscalex = 1.2, 
		fscaley = 0.8, 
		escalex = 1.2, 
		escaley = 0.8, 
		offsety = 20, 
		speed = 25, 
		def = -0.5, 
		level = 10, 
		func = equip,
	}, 

	[999] = {
		name = "Ring ATT",
		plural = "torches", 
		desc = "Allows you to see clearly in the dark.",
		r = 191, g = 213, b = 128,
		action = "hold", 
		slot = 8, 
		atk = 500.0, 
		speed = 10.0, 
		func = equip,
	}, 

	[9999] = {
		name = "ATT RING",
		plural = "torches", 
		desc = "Allows you to see clearly in the dark.",
		r = 191, g = 213, b = 128,
		action = "hold", 
		slot = 8, 
		atk = 30.0, 
		speed = 10.0, 
		func = equip,
	},
	
	[1337] = {
		name = 'money', 
		article = 'some', 
		r = 0, g = 150, b = 0, 
		fimage = 'gfx/weiwen/money.png', 
	}
}
ITEMFUNCTIONS = {}
ITEMFUNCTIONS.teleport = ITEMS[105].teleport

for k, v in pairs(ITEMS) do
	v.article = v.article or "a"
	v.plural = v.plural or v.name .. "s"
	v.action = type(v.action) == "table" and v.action or {v.action}
	v.func = type(v.func) == "table" and v.func or {v.func}
end